Bug 475613 - [LTC 5.4 FEAT] Java 1.5 SR8 for RHEL 5.4 [201783] [NEEDINFO]
[LTC 5.4 FEAT] Java 1.5 SR8 for RHEL 5.4 [201783]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: releng (Show other bugs)
5.4
All All
high Severity high
: beta
: 5.4
Assigned To: Dennis Gregorovic
Release Test Team
: FutureFeature, OtherQA
Depends On:
Blocks: 445204 483784
  Show dependency treegraph
 
Reported: 2008-12-09 14:51 EST by IBM Bug Proxy
Modified: 2009-09-02 08:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 08:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cward: needinfo? (sglass)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50377 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-09 14:51:08 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201783]
a. Name of Feature:	Java 1.5 SR8 for RHEL 5.4
b. Feature Description
Request update Java 1.5 to SR8 level for RHEL 5.4

2. Feature Details:
Sponsor:	SWG - Java
Architectures:
x86_64
ppc64
s390x

Arch Specificity: Both
Delivery Mechanism: Web Download
Category:	SWG
Request Type:	Package - Update Version
d. Upstream Acceptance:	Pending
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	JDK 1.5 SR8

3. Business Case
Need to have the latest fixes for Java 1.5 in RHEL 5.4

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):

David J Edwards, david_edwards@uk.ibm.com
Comment 1 John Jarvis 2008-12-22 17:47:55 EST
Java updates are already distributed asynch through RHN, the purpose of this BZ
is to pick up the latest version for the supplemental CD.
Comment 4 John Jarvis 2009-04-14 17:02:52 EDT
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 5 IBM Bug Proxy 2009-04-29 09:10:59 EDT
------- Comment From luciojhc@br.ibm.com 2009-04-29 09:08 EDT-------
Hi team,

JLTF and SPECjbb tests passed for RHEL5u4 internal build 20090422 running on a P7.

Version tested:
java full version "J2RE 1.5.0 IBM Linux build pxp32dev-20081129 (SR9-0 )"
Comment 6 IBM Bug Proxy 2009-04-30 09:10:54 EDT
------- Comment From luciojhc@br.ibm.com 2009-04-30 09:02 EDT-------
Hi team,

JLTF and SPECjbb tests passed for RHEL5u4 internal build 20090422 running on a
P7.

Version tested:
java full version "J2RE 1.5.0 IBM Linux build pxp32devifx-20080811a (SR8a)"
Comment 7 IBM Bug Proxy 2009-05-04 11:41:33 EDT
------- Comment From luciojhc@br.ibm.com 2009-05-04 11:30 EDT-------
Hi team,

JLTF and SPECjbb tests passed for RHEL5u4 internal build 20090422 running on a
P7.

Version tested:
java full version "J2RE 1.5.0 IBM Linux build pxp64devifx-20080811b (SR8a)"
Comment 11 Chris Ward 2009-06-14 19:18:38 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 12 IBM Bug Proxy 2009-06-22 15:05:09 EDT
------- Comment From luciojhc@br.ibm.com 2009-06-22 08:41 EDT-------
Hi team,

JLTF and SPECjbb tests passed for RHEL5u4-alpha running on JS43, HV8 P6+ and IH.

Versions tested:
java full version "J2RE 1.5.0 IBM Linux build pxp32devifx-20090327 (SR9-SSU )"
java full version "J2RE 1.5.0 IBM Linux build pxp64devifx-20090327 (SR9-SSU )"
Comment 13 IBM Bug Proxy 2009-06-24 01:30:53 EDT
------- Comment From mbeeraka@in.ibm.com 2009-06-24 01:24 EDT-------
Hi

JLTF (abbs, io, mauve, mix) tests passed for RHEL5u4-alpha running on both x86 and x86_64 machines.

Version tested:

java-1.5.0.9
Comment 14 IBM Bug Proxy 2009-06-24 01:50:44 EDT
------- Comment From mbeeraka@in.ibm.com 2009-06-24 01:49 EDT-------
(In reply to comment #12)

Another update:

Have also tested java1.5 SR9 for java bridge access test on Gnome Desktop on System X platform. No issues found.
Comment 15 Chris Ward 2009-07-03 14:16:58 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 16 Chris Ward 2009-07-10 15:08:25 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 17 Alexander Todorov 2009-07-23 04:50:47 EDT
IBM,
the latest supplementary trees have the NVRs listed below. Is this what you're expecting?

RHEL5.4-Client-Supplementary-20090723.0/5
$ find -name "java-1.5.0-ibm-*" | sort
./i386/os/Supplementary/java-1.5.0-ibm-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-accessibility-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-demo-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-devel-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-javacomm-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-jdbc-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-plugin-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-src-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-1.5.0.9-1jpp.3.el5.x86_64.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-accessibility-1.5.0.9-1jpp.3.el5.x86_64.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-demo-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-demo-1.5.0.9-1jpp.3.el5.x86_64.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-devel-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-devel-1.5.0.9-1jpp.3.el5.x86_64.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-javacomm-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-javacomm-1.5.0.9-1jpp.3.el5.x86_64.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-jdbc-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-plugin-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-src-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-src-1.5.0.9-1jpp.3.el5.x86_64.rpm


RHEL5.4-Server-Supplementary-20090723.0/5
$ find -name "java-1.5.0-ibm-*" | sort
./i386/os/Supplementary/java-1.5.0-ibm-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-accessibility-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-demo-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-devel-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-javacomm-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-jdbc-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-plugin-1.5.0.9-1jpp.3.el5.i386.rpm
./i386/os/Supplementary/java-1.5.0-ibm-src-1.5.0.9-1jpp.3.el5.i386.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-1.5.0.9-1jpp.3.el5.ppc64.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-1.5.0.9-1jpp.3.el5.ppc.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-accessibility-1.5.0.9-1jpp.3.el5.ppc.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-demo-1.5.0.9-1jpp.3.el5.ppc64.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-demo-1.5.0.9-1jpp.3.el5.ppc.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-devel-1.5.0.9-1jpp.3.el5.ppc64.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-devel-1.5.0.9-1jpp.3.el5.ppc.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-javacomm-1.5.0.9-1jpp.3.el5.ppc64.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-javacomm-1.5.0.9-1jpp.3.el5.ppc.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-jdbc-1.5.0.9-1jpp.3.el5.ppc.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-plugin-1.5.0.9-1jpp.3.el5.ppc.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-src-1.5.0.9-1jpp.3.el5.ppc64.rpm
./ppc/os/Supplementary/java-1.5.0-ibm-src-1.5.0.9-1jpp.3.el5.ppc.rpm
./s390x/os/Supplementary/java-1.5.0-ibm-1.5.0.9-1jpp.3.el5.s390.rpm
./s390x/os/Supplementary/java-1.5.0-ibm-1.5.0.9-1jpp.3.el5.s390x.rpm
./s390x/os/Supplementary/java-1.5.0-ibm-accessibility-1.5.0.9-1jpp.3.el5.s390x.rpm
./s390x/os/Supplementary/java-1.5.0-ibm-demo-1.5.0.9-1jpp.3.el5.s390.rpm
./s390x/os/Supplementary/java-1.5.0-ibm-demo-1.5.0.9-1jpp.3.el5.s390x.rpm
./s390x/os/Supplementary/java-1.5.0-ibm-devel-1.5.0.9-1jpp.3.el5.s390.rpm
./s390x/os/Supplementary/java-1.5.0-ibm-devel-1.5.0.9-1jpp.3.el5.s390x.rpm
./s390x/os/Supplementary/java-1.5.0-ibm-jdbc-1.5.0.9-1jpp.3.el5.s390.rpm
./s390x/os/Supplementary/java-1.5.0-ibm-src-1.5.0.9-1jpp.3.el5.s390.rpm
./s390x/os/Supplementary/java-1.5.0-ibm-src-1.5.0.9-1jpp.3.el5.s390x.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-1.5.0.9-1jpp.3.el5.x86_64.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-accessibility-1.5.0.9-1jpp.3.el5.x86_64.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-demo-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-demo-1.5.0.9-1jpp.3.el5.x86_64.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-devel-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-devel-1.5.0.9-1jpp.3.el5.x86_64.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-javacomm-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-javacomm-1.5.0.9-1jpp.3.el5.x86_64.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-jdbc-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-plugin-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-src-1.5.0.9-1jpp.3.el5.i386.rpm
./x86_64/os/Supplementary/java-1.5.0-ibm-src-1.5.0.9-1jpp.3.el5.x86_64.rpm
Comment 18 Chris Ward 2009-08-03 11:45:24 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 5 Released! ~~

RHEL 5.4 Snapshot 5 is the FINAL snapshot to be release before RC. It has been 
released on partners.redhat.com. If you have already reported your test results, 
you can safely ignore this request. Otherwise, please notice that there should be 
a fix available now that addresses this particular issue. Please test and report 
back your results here, at your earliest convenience.

If you encounter any issues while testing Beta, please describe the 
issues you have encountered and set the bug into NEED_INFO. If you 
encounter new issues, please clone this bug to open a new issue and 
request it be reviewed for inclusion in RHEL 5.4 or a later update, if it 
is not of urgent severity. If it is urgent, escalate the issue to your partner manager as soon as possible. There is /very/ little time left to get additional code into 5.4 before GA.

Partners, after you have verified, do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other 
appropriate customer representative.
Comment 19 John Jarvis 2009-08-04 15:25:45 EDT
IBM, can you please verify this feature is functioning correctly in 5.4?
Comment 20 Chris Ward 2009-08-10 07:04:39 EDT
IBM, please update us with the latest test results for confirming the
resolution of this request. Thanks.
Comment 21 IBM Bug Proxy 2009-08-10 10:01:16 EDT
------- Comment From luciojhc@br.ibm.com 2009-08-10 09:50 EDT-------
(In reply to comment #19)

For PPC, all Java 1.5 tests have passed on rhel5.4-snap5.
Comment 23 IBM Bug Proxy 2009-08-17 09:51:46 EDT
------- Comment From sglass@us.ibm.com 2009-08-17 09:42 EDT-------
This has been verified by IBM
Comment 24 errata-xmlrpc 2009-09-02 08:00:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1400.html

Note You need to log in before you can comment on or make changes to this bug.